DevExtreme v23.2 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.

Overview

Documentation

The Gallery is a UI component that displays a collection of images in a carousel. The component is supplied with various navigation controls that allow a user to switch between images.

Backend API
$(() => { const galleryWidget = $('#gallery').dxGallery({ dataSource: gallery, height: 300, loop: true, slideshowDelay: 2000, showNavButtons: true, showIndicator: true, }).dxGallery('instance'); $('#useLoop').dxCheckBox({ value: true, text: 'Loop mode', onValueChanged(data) { galleryWidget.option('loop', data.value); }, }); $('#slideShow').dxCheckBox({ value: true, text: 'Slide show', onValueChanged(data) { galleryWidget.option('slideshowDelay', data.value ? 2000 : 0); }, }); $('#showNavButtons').dxCheckBox({ value: true, text: 'Navigation buttons', onValueChanged(data) { galleryWidget.option('showNavButtons', data.value); }, }); $('#showIndicator').dxCheckBox({ value: true, text: 'Indicator', onValueChanged(data) { galleryWidget.option('showIndicator', data.value); }, }); });
<!DOCTYPE html> <html xmlns="http://www.w3.org/1999/xhtml"> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script> <script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.2.6/css/dx.light.css" /> <script src="js/dx.all.js"></script> <script src="data.js"></script> <link rel="stylesheet" type="text/css" href="styles.css" /> <script src="index.js"></script> </head> <body class="dx-viewport"> <div class="demo-container"> <div class="widget-container"> <div id="gallery"></div> </div> <div class="options"> <div class="caption">Options</div> <div class="option"> <div id="useLoop"></div> </div> <div class="option"> <div id="slideShow"></div> </div> <div class="option"> <div id="showNavButtons"></div> </div> <div class="option"> <div id="showIndicator"></div> </div> </div> </div> </body> </html>
.widget-container { margin-right: 240px; } #gallery { margin: auto; max-width: 450px; } .options { padding: 20px; position: absolute; bottom: 0; right: 0; width: 180px; top: 0; background-color: rgba(191, 191, 191, 0.15); } .caption { font-size: 18px; font-weight: 500; } .option { margin-top: 10px; }
const gallery = [ '../../../../images/gallery/1.jpg', '../../../../images/gallery/2.jpg', '../../../../images/gallery/3.jpg', '../../../../images/gallery/4.jpg', '../../../../images/gallery/5.jpg', '../../../../images/gallery/6.jpg', '../../../../images/gallery/7.jpg', '../../../../images/gallery/8.jpg', '../../../../images/gallery/9.jpg', ];

DevExtreme v23.2 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.

Overview

Documentation

The Gallery is a UI component that displays a collection of images in a carousel. The component is supplied with various navigation controls that allow a user to switch between images.

Backend API
<template> <div> <div class="widget-container"> <DxGallery id="gallery" :data-source="dataSource" :loop="loop" :slideshow-delay="slideshowDelay" :show-nav-buttons="showNavButtons" :show-indicator="showIndicator" :height="300" /> </div> <div class="options"> <div class="caption">Options</div> <div class="option"> <DxCheckBox v-model:value="loop" text="Loop mode" /> </div> <div class="option"> <DxCheckBox :value="true" text="Slide show" @value-changed="setSlideshowDelay" /> </div> <div class="option"> <DxCheckBox v-model:value="showNavButtons" text="Navigation buttons" /> </div> <div class="option"> <DxCheckBox v-model:value="showIndicator" text="Indicator" /> </div> </div> </div> </template> <script setup lang="ts"> import { ref } from 'vue'; import DxCheckBox from 'devextreme-vue/check-box'; import DxGallery from 'devextreme-vue/gallery'; import { gallery } from './data.ts'; const dataSource = gallery; const loop = ref(true); const slideshowDelay = ref(2000); const showNavButtons = ref(true); const showIndicator = ref(true); function setSlideshowDelay(e) { slideshowDelay.value = e.value ? 2000 : 0; } </script>
window.exports = window.exports || {}; window.config = { transpiler: 'plugin-babel', meta: { '*.vue': { loader: 'vue-loader', }, '*.ts': { loader: 'demo-ts-loader', }, '*.svg': { loader: 'svg-loader', }, 'devextreme/time_zone_utils.js': { 'esModule': true, }, 'devextreme/localization.js': { 'esModule': true, }, 'devextreme/viz/palette.js': { 'esModule': true, }, }, paths: { 'root:': '../../../../../', 'npm:': 'https://unpkg.com/', }, map: { 'vue': 'npm:vue@3.3.4/dist/vue.esm-browser.js', 'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.1/index.js', 'demo-ts-loader': 'root:utils/demo-ts-loader.js', 'svg-loader': 'root:utils/svg-loader.js', 'mitt': 'npm:mitt/dist/mitt.umd.js', 'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js', 'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js', 'es6-object-assign': 'npm:es6-object-assign@1.1.0', 'devextreme': 'npm:devextreme@23.2.6/cjs', 'devextreme-vue': 'npm:devextreme-vue@23.2.6/cjs', 'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js', 'devextreme-quill': 'npm:devextreme-quill@1.6.4/dist/dx-quill.min.js', 'devexpress-diagram': 'npm:devexpress-diagram@2.2.5/dist/dx-diagram.js', 'devexpress-gantt': 'npm:devexpress-gantt@4.1.54/dist/dx-gantt.js', '@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12', 'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js', 'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js', 'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js', 'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js', 'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js', 'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js', 'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js', 'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js', 'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js', 'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js', // Prettier 'prettier/standalone': 'npm:prettier@2.8.4/standalone.js', 'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js', }, packages: { 'devextreme-vue': { main: 'index.js', }, 'devextreme': { defaultExtension: 'js', }, 'devextreme/events/utils': { main: 'index', }, 'devextreme/events': { main: 'index', }, 'es6-object-assign': { main: './index.js', defaultExtension: 'js', }, }, packageConfigPaths: [ 'npm:@devextreme/*/package.json', 'npm:@devextreme/runtime@3.0.12/inferno/package.json', ], babelOptions: { sourceMaps: false, stage0: true, }, }; System.config(window.config);
export const gallery = [ '../../../../images/gallery/1.jpg', '../../../../images/gallery/2.jpg', '../../../../images/gallery/3.jpg', '../../../../images/gallery/4.jpg', '../../../../images/gallery/5.jpg', '../../../../images/gallery/6.jpg', '../../../../images/gallery/7.jpg', '../../../../images/gallery/8.jpg', '../../../../images/gallery/9.jpg', ];
import { createApp } from 'vue'; import App from './App.vue'; createApp(App).mount('#app');
.widget-container { margin-right: 240px; } #gallery { margin: auto; max-width: 450px; } .options { padding: 20px; position: absolute; bottom: 0; right: 0; width: 180px; top: 0; background-color: rgba(191, 191, 191, 0.15); } .caption { font-size: 18px; font-weight: 500; } .option { margin-top: 10px; }
<!DOCTYPE html> <html> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.2.6/css/dx.light.css" /> <link rel="stylesheet" type="text/css" href="styles.css" /> <script src="https://unpkg.com/typescript@4.2.4/lib/typescript.js"></script> <script type="module"> import * as vueCompilerSFC from "https://unpkg.com/@vue/compiler-sfc@3.3.4/dist/compiler-sfc.esm-browser.js"; window.vueCompilerSFC = vueCompilerSFC; </script> <script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script> <script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script> <script type="text/javascript" src="config.js"></script> <script type="text/javascript"> System.import("./index.ts"); </script> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="app"> </div> </div> </body> </html>

DevExtreme Accessibility Compliance
DevExtreme component libraries meet a variety of WCAG and Section 508 compliance standards. To assess this demo’s accessibility level, click the Run AXE® Validation button to launch the AXE® web accessibility evaluation tool.
All trademarks or registered trademarks are property of their respective owners. AXE® Terms of Use
The overall accessibility level of your application depends on the Gallery features used.
Feel free to share demo-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Backend API
x
import React, { useCallback, useState } from 'react';
import Gallery from 'devextreme-react/gallery';
import CheckBox, { CheckBoxTypes } from 'devextreme-react/check-box';
import { gallery } from './data.ts';
const App = () => {
const [loop, setLoop] = useState(true);
const [slideShow, setSlideShow] = useState(true);
const [showNavButtons, setShowNavButtons] = useState(true);
const [showIndicator, setShowIndicator] = useState(true);
const onLoopChanged = useCallback((data: CheckBoxTypes.ValueChangedEvent) => {
setLoop(data.value);
}, [setLoop]);
const onSlideShowChanged = useCallback((data: CheckBoxTypes.ValueChangedEvent) => {
setSlideShow(data.value);
}, [setSlideShow]);
const onShowNavButtonsChanged = useCallback((data: CheckBoxTypes.ValueChangedEvent) => {
setShowNavButtons(data.value);
}, [setShowNavButtons]);
const onShowIndicatorChanged = useCallback((data: CheckBoxTypes.ValueChangedEvent) => {
setShowIndicator(data.value);
}, [setShowIndicator]);
return (
<div>
<div className="widget-container">
<Gallery
id="gallery"
dataSource={gallery}
height={300}
slideshowDelay={slideShow ? 2000 : 0}
loop={loop}
showNavButtons={showNavButtons}
showIndicator={showIndicator} />
</div>
<div className="options">
<div className="caption">Options</div>
<div className="option">
<CheckBox text="Loop mode" value={loop} onValueChanged={onLoopChanged} />
</div>
<div className="option">
<CheckBox text="Slide show" value={slideShow} onValueChanged={onSlideShowChanged} />
</div>
<div className="option">
<CheckBox text="Navigation buttons" value={showNavButtons} onValueChanged={onShowNavButtonsChanged} />
</div>
<div className="option">
<CheckBox text="Indicator" value={showIndicator} onValueChanged={onShowIndicatorChanged} />
</div>
</div>
</div>
);
};
export default App;
xxxxxxxxxx
import React, { useCallback, useState } from 'react';
import Gallery from 'devextreme-react/gallery';
import CheckBox from 'devextreme-react/check-box';
import { gallery } from './data.js';
const App = () => {
const [loop, setLoop] = useState(true);
const [slideShow, setSlideShow] = useState(true);
const [showNavButtons, setShowNavButtons] = useState(true);
const [showIndicator, setShowIndicator] = useState(true);
const onLoopChanged = useCallback(
(data) => {
setLoop(data.value);
},
[setLoop],
);
const onSlideShowChanged = useCallback(
(data) => {
setSlideShow(data.value);
},
[setSlideShow],
);
const onShowNavButtonsChanged = useCallback(
(data) => {
setShowNavButtons(data.value);
},
[setShowNavButtons],
);
const onShowIndicatorChanged = useCallback(
(data) => {
setShowIndicator(data.value);
},
[setShowIndicator],
);
return (
<div>
<div className="widget-container">
<Gallery
id="gallery"
dataSource={gallery}
height={300}
slideshowDelay={slideShow ? 2000 : 0}
loop={loop}
showNavButtons={showNavButtons}
showIndicator={showIndicator}
/>
</div>
<div className="options">
<div className="caption">Options</div>
<div className="option">
<CheckBox
text="Loop mode"
value={loop}
onValueChanged={onLoopChanged}
/>
</div>
<div className="option">
<CheckBox
text="Slide show"
value={slideShow}
onValueChanged={onSlideShowChanged}
/>
</div>
<div className="option">
<CheckBox
text="Navigation buttons"
value={showNavButtons}
onValueChanged={onShowNavButtonsChanged}
/>
</div>
<div className="option">
<CheckBox
text="Indicator"
value={showIndicator}
onValueChanged={onShowIndicatorChanged}
/>
</div>
</div>
</div>
);
};
export default App;
xxxxxxxxxx
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.tsx';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
xxxxxxxxxx
import type { IItemProps } from 'devextreme-react/gallery';
export const gallery: IItemProps[] = [
{
imageAlt: 'Image 1',
imageSrc: 'images/gallery/1.jpg',
},
{
imageAlt: 'Image 2',
imageSrc: 'images/gallery/2.jpg',
},
{
imageAlt: 'Image 3',
imageSrc: 'images/gallery/3.jpg',
},
{
imageAlt: 'Image 4',
imageSrc: 'images/gallery/4.jpg',
},
{
imageAlt: 'Image 5',
imageSrc: 'images/gallery/5.jpg',
},
{
imageAlt: 'Image 6',
imageSrc: 'images/gallery/6.jpg',
},
{
imageAlt: 'Image 7',
imageSrc: 'images/gallery/7.jpg',
},
{
imageAlt: 'Image 8',
imageSrc: 'images/gallery/8.jpg',
},
{
imageAlt: 'Image 9',
imageSrc: 'images/gallery/9.jpg',
},
];
xxxxxxxxxx
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
jsx: 'react',
},
meta: {
'react': {
'esModule': true,
},
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
'bundles:': 'bundles/',
'externals:': 'bundles/externals/',
},
defaultExtension: 'js',
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@24.2.5/cjs',
'devextreme-react': 'npm:devextreme-react@24.2.5/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.1/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.15/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.59/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/localization/messages': {
format: 'json',
defaultExtension: 'json',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.12/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);
xxxxxxxxxx
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(<App />, document.getElementById('app'));
xxxxxxxxxx
export const gallery = [
{
imageAlt: 'Image 1',
imageSrc: 'images/gallery/1.jpg',
},
{
imageAlt: 'Image 2',
imageSrc: 'images/gallery/2.jpg',
},
{
imageAlt: 'Image 3',
imageSrc: 'images/gallery/3.jpg',
},
{
imageAlt: 'Image 4',
imageSrc: 'images/gallery/4.jpg',
},
{
imageAlt: 'Image 5',
imageSrc: 'images/gallery/5.jpg',
},
{
imageAlt: 'Image 6',
imageSrc: 'images/gallery/6.jpg',
},
{
imageAlt: 'Image 7',
imageSrc: 'images/gallery/7.jpg',
},
{
imageAlt: 'Image 8',
imageSrc: 'images/gallery/8.jpg',
},
{
imageAlt: 'Image 9',
imageSrc: 'images/gallery/9.jpg',
},
];
xxxxxxxxxx
<html lang="en">
<head></head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
xxxxxxxxxx
.widget-container {
margin-right: 240px;
}
#gallery {
margin: auto;
max-width: 450px;
}
.options {
padding: 20px;
position: absolute;
bottom: 0;
right: 0;
width: 180px;
top: 0;
background-color: rgba(191, 191, 191, 0.15);
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 10px;
}

DevExtreme Accessibility Compliance
DevExtreme component libraries meet a variety of WCAG and Section 508 compliance standards. To assess this demo's accessibility level, click the Run AXE® Validation button to launch the AXE® web accessibility evaluation tool.
All trademarks or registered trademarks are property of their respective owners. AXE® Terms of Use
The overall accessibility level of your application depends on the Gallery features used.
Backend API
<div class="widget-container">
<dx-gallery
#gallery
id="gallery"
[dataSource]="dataSource"
[height]="300"
[slideshowDelay]="slideshowDelay"
[loop]="true"
[showNavButtons]="true"
[showIndicator]="true"
></dx-gallery>
</div>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<dx-check-box #loop text="Loop mode" [(value)]="gallery.loop">
</dx-check-box>
</div>
<div class="option">
<dx-check-box
text="Slide show"
(onValueChanged)="valueChanged($event)"
[value]="true"
>
</dx-check-box>
</div>
<div class="option">
<dx-check-box text="Navigation buttons" [(value)]="gallery.showNavButtons">
</dx-check-box>
</div>
<div class="option">
<dx-check-box text="Indicator" [(value)]="gallery.showIndicator">
</dx-check-box>
</div>
</div>
import { bootstrapApplication } from '@angular/platform-browser';
import { Component, enableProdMode, provideZoneChangeDetection } from '@angular/core';
import { DxGalleryModule } from 'devextreme-angular';
import { DxCheckBoxModule, DxCheckBoxTypes } from 'devextreme-angular/ui/check-box';
import { Service, Image } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'demo-app',
providers: [Service],
templateUrl: `app/app.component.html`,
styleUrls: [`app/app.component.css`],
imports: [
DxCheckBoxModule,
DxGalleryModule,
],
})
export class AppComponent {
dataSource: Image[];
slideshowDelay = 2000;
constructor(service: Service) {
this.dataSource = service.getImages();
}
valueChanged(e: DxCheckBoxTypes.ValueChangedEvent) {
this.slideshowDelay = e.value ? 2000 : 0;
}
}
bootstrapApplication(AppComponent, {
providers: [
provideZoneChangeDetection({ eventCoalescing: true, runCoalescing: true }),
],
});
::ng-deep .widget-container {
margin-right: 240px;
}
::ng-deep #gallery {
margin: auto;
max-width: 450px;
}
.options {
padding: 20px;
position: absolute;
bottom: 0;
right: 0;
width: 180px;
top: 0;
background-color: rgba(191, 191, 191, 0.15);
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 10px;
}
import { Injectable } from '@angular/core';
export interface Image {
imageAlt: string,
imageSrc: string,
}
const images: Image[] = [
{
imageAlt: 'Image 1',
imageSrc: '../../../../images/gallery/1.jpg',
},
{
imageAlt: 'Image 2',
imageSrc: '../../../../images/gallery/2.jpg',
},
{
imageAlt: 'Image 3',
imageSrc: '../../../../images/gallery/3.jpg',
},
{
imageAlt: 'Image 4',
imageSrc: '../../../../images/gallery/4.jpg',
},
{
imageAlt: 'Image 5',
imageSrc: '../../../../images/gallery/5.jpg',
},
{
imageAlt: 'Image 6',
imageSrc: '../../../../images/gallery/6.jpg',
},
{
imageAlt: 'Image 7',
imageSrc: '../../../../images/gallery/7.jpg',
},
{
imageAlt: 'Image 8',
imageSrc: '../../../../images/gallery/8.jpg',
},
{
imageAlt: 'Image 9',
imageSrc: '../../../../images/gallery/9.jpg',
},
];
@Injectable()
export class Service {
getImages() {
return images;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'card-view',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speech-to-text',
'speed-dial-action',
'splitter',
'stepper',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/core/primitives/di': 'bundles:@angular/core.primitives.di.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.8/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.25',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.67',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/common/ai-integration': 'bundles:devextreme-angular/devextreme-angular-common-ai-integration.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/common/charts': 'bundles:devextreme-angular/devextreme-angular-common-charts.umd.js',
'devextreme-angular/common/core/animation': 'bundles:devextreme-angular/devextreme-angular-common-core-animation.umd.js',
'devextreme-angular/common/core/environment': 'bundles:devextreme-angular/devextreme-angular-common-core-environment.umd.js',
'devextreme-angular/common/core/events': 'bundles:devextreme-angular/devextreme-angular-common-core-events.umd.js',
'devextreme-angular/common/core/localization': 'bundles:devextreme-angular/devextreme-angular-common-core-localization.umd.js',
'devextreme-angular/common/core': 'bundles:devextreme-angular/devextreme-angular-common-core.umd.js',
'devextreme-angular/common/data/custom-store': 'bundles:devextreme-angular/devextreme-angular-common-data-custom-store.umd.js',
'devextreme-angular/common/data': 'bundles:devextreme-angular/devextreme-angular-common-data.umd.js',
'devextreme-angular/common/export/excel': 'bundles:devextreme-angular/devextreme-angular-common-export-excel.umd.js',
'devextreme-angular/common/export/pdf': 'bundles:devextreme-angular/devextreme-angular-common-export-pdf.umd.js',
'devextreme-angular/common/export': 'bundles:devextreme-angular/devextreme-angular-common-export.umd.js',
'devextreme-angular/common/grids': 'bundles:devextreme-angular/devextreme-angular-common-grids.umd.js',
'devextreme-angular/common': 'bundles:devextreme-angular/devextreme-angular-common.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
'devextreme-angular/core/tokens': 'bundles:devextreme-angular/devextreme-angular-core-tokens.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
'zone.js': 'npm:zone.js@0.15.1/bundles/zone.umd.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.25/package.json',
'npm:devexpress-gantt@4.1.67/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line no-console
// System.import('@angular/compiler').catch(console.error.bind(console));
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"@angular/core": {
"version": "21.0.7"
},
"core-js": {
"version": "2.6.12"
},
"typescript": {
"version": "5.9.3"
},
"zone.js": {
"version": "0.15.1"
}
};
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.2.6/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.15.1/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>